## com.arsdigita.cms.docmgr.search
Class LuceneSearcher

    java.lang.Object
      com.arsdigita.cms.docmgr.search.LuceneSearcher

All Implemented Interfaces:
  Searcher

public class LuceneSearcher
extends Object
implements Searcher

Constructor Summary
`LuceneSearcher()`

Method Summary
`SearchResults` `advancedSearch(String terms, String author, String mimeType, BigDecimal workspaceID, Date lastModifiedStartDate, Date lastModifiedEndDate, String[] types, String[] sections, com.arsdigita.kernel.User user, Collection categoryIDs)` Returns a collection of the search results.
`SearchResults` `simpleSearch(String terms, com.arsdigita.kernel.User user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneSearcher

    public LuceneSearcher()

Method Detail

### simpleSearch

    public SearchResults simpleSearch(String terms,
                                      com.arsdigita.kernel.User user)

  Specified by:
    `simpleSearch` in interface `Searcher`

### advancedSearch

    public SearchResults advancedSearch(String terms,
                                        String author,
                                        String mimeType,
                                        BigDecimal workspaceID,
                                        Date lastModifiedStartDate,
                                        Date lastModifiedEndDate,
                                        String[] types,
                                        String[] sections,
                                        com.arsdigita.kernel.User user,
                                        Collection categoryIDs)

  Returns a collection of the search results. Currently does not filter by section, user, author, mimeType, workspace or dates.

  Specified by:
    `advancedSearch` in interface `Searcher`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC